linux-mips
[Top] [All Lists]

MIPS toolchain

To: linux-mips@linux-mips.org
Subject: MIPS toolchain
From: Dmitri Vorobiev <dmitri.vorobiev@movial.fi>
Date: Wed, 16 Jul 2008 10:32:28 +0300
Organization: Movial Creative Technologies
Original-recipient: rfc822;linux-mips@linux-mips.org
Sender: linux-mips-bounce@linux-mips.org
User-agent: Icedove 1.5.0.14eol (X11/20080509)
Hi,

The linux-mips.org Web site recommends gcc 3.4.4 to build the MIPS kernel. 
However:

<<<<<<<<<<<<<<<<<<

[dmitri.vorobiev@amber linux-2.6]$ mips-unknown-linux-gnu-gcc -v
Reading specs from 
/home/dmitri.vorobiev/Projects/misc/zoo/lib/gcc/mips-unknown-linux-gnu/3.4.4/specs
Configured with: ../src/gcc-3.4.4/configure 
--prefix=/home/dmitri.vorobiev/Projects/misc/zoo 
--target=mips-unknown-linux-gnu --disable-nls --without-headers --with-gnu-ld 
--with-gnu-as --disable-shared --disable-threads
Thread model: single
gcc version 3.4.4
[dmitri.vorobiev@amber linux-2.6]$ make ARCH=mips 
CROSS_COMPILE=mips-unknown-linux-gnu-
  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
  CALL    scripts/checksyscalls.sh
  CC      init/main.o
include/asm/bitops.h: In function `start_kernel':
include/asm/bitops.h:76: warning: asm operand 2 probably doesn't match 
constraints
include/asm/bitops.h:76: warning: asm operand 2 probably doesn't match 
constraints
include/asm/bitops.h:76: warning: asm operand 2 probably doesn't match 
constraints
include/asm/bitops.h:76: error: impossible constraint in `asm'
include/asm/bitops.h:76: error: impossible constraint in `asm'
include/asm/bitops.h:76: error: impossible constraint in `asm'
make[1]: *** [init/main.o] Error 1
make: *** [init] Error 2
[dmitri.vorobiev@amber linux-2.6]$

<<<<<<<<<<<<<<<<<<

Kernel build goes smoothly for me with this gcc version:

<<<<<<<<<<<<<<<<<<

[dmitri.vorobiev@amber linux-2.6]$ mips-unknown-linux-gnu-gcc -v
Using built-in specs.
Target: mips-unknown-linux-gnu
Configured with: ../gcc-4.3.0/configure --target=mips-unknown-linux-gnu 
--disable-nls --disable-threads --disable-shared --disable-multilib 
--disable-libmudflap --disable-libssp 
--prefix=/home/dmitri.vorobiev/Projects/misc/zoo/4.3-toolchain 
--with-gmp=/home/dmitri.vorobiev/Projects/misc/zoo/ 
--with-mfpr=/home/dmitri.vorobiev/Projects/misc/zoo --without-headers 
--with-gnu-as=/tmp/cross/ --with-gnu-ld=/tmp/cross/ --disable-libgcc 
--enable-languages=c --disable-libgomp
Thread model: single
gcc version 4.3.0 (GCC)
[dmitri.vorobiev@amber linux-2.6]$

<<<<<<<<<<<<<<<<<<

What I would like to know is which gcc/binutils versions are currently the 
blessed ones. Thanks.

Regards,
Dmitri

<Prev in Thread] Current Thread [Next in Thread>